﻿<div class="panel-body">


    <div class="col-md-12 col-xs-12">
        <div class="pull-right">

            <a class="btn btn-success" ng-click="SwitchMode(true)">
                <i class="fa fa-plus"></i> اضف فرع
            </a>
        </div>

    </div>

    <table class="table">
        <thead>
            <tr>
                <td>#</td>
                <th>
                    اسم الفرع
                </th>
                <th>
                    الدولة
                </th>

                <th>
                    المدينة
                </th>

                <th>
                    الحى
                </th>
                <th>
                    خط الطول
                </th>
                <th>
                    دائرة العرض
                </th>
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="item in model.branches track by $index">
                <td>{{$index+1}}</td>
                <td>
                    {{item.name}}
                </td>
                <td>
                    {{item.country.arabicName}}
                </td>
                <td>
                    {{item.city.arabicName}}
                </td>
                <td>
                    {{item.municipality.arabicName}}
                </td>
                <td>
                    {{item.latitude}}
                </td>

                <td>
                    {{item.longitude}}
                </td>

                <td>





                    <button class="btn btn-primary " ng-click="Editbranch($index)" title="تعديل">
                        <i class="fa fa-edit"></i>
                    </button>
                    <button class="btn btn-danger " ng-click="openConfirm($index)" title="حذف">
                        <i class="fa fa-trash"></i>
                    </button>



                </td>

            </tr>

            <tr ng-if="branchesIsEmpty">
                <td colspan="8">
                    <div class="search-result">
                        <div class="member">
                            <div class="row">
                                <div class="col-xs-12 col-md-9">
                                    <p>
                                        لا يوجد فروع
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>


    <form name="FormMap.Map" ng-if="showbranchform" class="panel panel-default">
        <div class="panel-heading">
            اضافة - تعديل فرع
        </div>
        <div class="panel-body">
            <div class="form-group">

                <div class="col-md-3 col-xs-12">

                    <input type="hidden" id="index-branch" />
                    <label class="control-label" style="margin-top:2.2em;">
                        <input type="checkbox" name="IsMainbranch" ng-model="branch.IsMainbranch" ng-change="onChangeMainbranch()">
                        فرع رئيسى
                    </label>
                </div>
                <div class="col-md-3 col-xs-12" ng-class="{ 'has-error': FormMap.Map.name.$touched && FormMap.Map.name.$invalid,
                                   'has-success': FormMap.Map.name.$touched && FormMap.Map.name.$valid}">
                    <label class="control-label"> اسم الفرع </label>
                    <input type="text" class="form-control" ng-required="!branch.IsMainbranch"
                           ng-model="branch.name" name="name" ng-disabled="branch.IsMainbranch" />

                </div>



                <div class="col-md-3 col-xs-12" ng-class="{ 'has-error': FormMap.Map.country.$touched && FormMap.Map.country.$invalid,
                                   'has-success': FormMap.Map.country.$touched && FormMap.Map.country.$valid}">
                    <label class="control-label">{{transaction.Country}} </label>
                    <select name="country" required=""
                            class="form-control" ng-change="onCountryChange(branch.country.id)" ng-options="country.arabicName for country in countries track by country.id" ng-model="branch.country">
                        <option ng-selected="true" value="">{{transaction.ChooseCountry}}</option>
                    </select>



                </div>
                <div class="col-md-3 col-xs-12" ng-class="{ 'has-error': FormMap.Map.city.$touched && FormMap.Map.city.$invalid,
                                   'has-success': FormMap.Map.city.$touched && FormMap.Map.city.$valid}">
                    <label class="control-label">{{transaction.City}} </label>
                    <select ng-options="city.arabicName for city in cities track by city.id" ng-model="branch.city"
                            name="city" required="" ng-disabled="disabledCityDrp"
                            class="form-control" ng-change="onCityChange(branch.city.id)">
                        <option ng-selected="true" value="">{{transaction.ChooseCity}}</option>

                    </select>





                </div>
                <div class="col-md-3 col-xs-12" ng-class="{ 'has-error': FormMap.Map.municipality.$touched && FormMap.Map.municipality.$invalid,
                                   'has-success': FormMap.Map.municipality.$touched && FormMap.Map.municipality.$valid}">
                    <label class="control-label">{{transaction.Municipality}} </label>


                    <select ng-options="municipality.arabicName for municipality in Municipalities track by municipality.id" ng-model="branch.municipality"
                            name="municipality"
                            class="form-control" ng-disabled="disabledMunicipalityDrp">
                        <option ng-selected="true" value="">{{transaction.ChooseMunicipality}}</option>

                    </select>





                </div>
                <div class="col-md-3 col-xs-12">
                    <label class="control-label">{{transaction.Latitude}} </label>

                    <input type="text" class="form-control" required
                           ng-model="branch.latitude" id="maplat" name="latitude" disabled="disabled" />



                </div>
                <div class="col-md-3 col-xs-12">
                    <label class="control-label">{{transaction.Longitude}} </label>

                    <input type="text" class="form-control" required
                           ng-model="branch.longitude" id="maplng" name="longitude" disabled="disabled" />

                </div>

                <div class="col-md-3 col-xs-12">
                    <div class="pull-right" style="margin-top: 3em;">
                        <button ng-if="addBranchMode" ng-disabled="FormMap.Map.$invalid" class="btn btn-success" ng-click="AddBranch(branch)" type="button">
                            <i class="fa fa-floppy-o"></i> اضف فرع
                        </button>

                        <button ng-if="addBranchMode" class="btn btn-danger" ng-click="clearbranchform()" type="button">
                            <i class="fa fa-close"></i> الغاء
                        </button>

                        <button ng-if="!addBranchMode" ng-disabled="FormMap.Map.$invalid" class="btn btn-success" ng-click="clearbranchform()" type="button">
                            <i class="fa fa-floppy-o"></i> حفظ
                        </button>
                    </div>

                </div>
            </div>
        </div>
    </form>


    <div class="form-group">
        <div class="col-md-12 col-xs-12" id="restaurant-hotel" style="visibility:hidden;">
            <input id="pac-input" style="width:400px;" class="controls form-control" type="text" placeholder="Search Box">
            <div id="map" style="height:300px;"></div>
            <script>
                // This example adds a search box to a map, using the Google Place Autocomplete
                // feature. People can enter geographical searches. The search box will return a
                // pick list containing a mix of places and predicted search terms.

                // This example requires the Places library. Include the libraries=places
                // parameter when you first load the API. For example:
                // <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCRdChFTkwz6jMAK-3boryZGxDnfIoOFYc&libraries=places">

                var currentlyLat = 24.713552;
                var currentlyLng = 46.675296;

                var map = null;
                var markersArray = [];

                function clearOverlays() {
                    for (var i = 0; i < markersArray.length; i++) {
                        markersArray[i].setMap(null);
                    }
                    markersArray.length = 0;
                }

                //var lat = $('#maplat');
                //lat.val('24.713552');
                //lat.trigger('input'); // Use for Chrome/Firefox/Edge
                //lat.trigger('change');

                //var lng = $('#maplat');
                //lng.val('46.675296');
                //lng.trigger('input'); // Use for Chrome/Firefox/Edge
                //lng.trigger('change');

                //alert(' long : ' + currentlyLat + ' , Lat ' + currentlyLat);



                function initAutocomplete() {
                    map = new google.maps.Map(document.getElementById('map'), {
                        center: { lat: currentlyLat, lng: currentlyLng },
                        zoom: 10,
                        mapTypeId: 'roadmap'
                    });

                    //var myLatlng = new google.maps.LatLng(parseInt(currentlyLat), parseInt(currentlyLng));
                    clearOverlays();

                    var myLatLng = { lat: currentlyLat, lng: currentlyLng };

                    var marker = new google.maps.Marker({
                        position: myLatLng,
                        map: map,
                        title: 'Hello World!',
                        zoom: 4,
                    });


                    markersArray.push(marker);


                    // Create the search box and link it to the UI element.
                    var input = document.getElementById('pac-input');
                    var searchBox = new google.maps.places.SearchBox(input);
                    map.controls[google.maps.ControlPosition.TOP_LEFT].push(input);

                    // Bias the SearchBox results towards current map's viewport.
                    map.addListener('bounds_changed', function () {
                        searchBox.setBounds(map.getBounds());
                    });

                    var markers = [];
                    // Listen for the event fired when the user selects a prediction and retrieve
                    // more details for that place.
                    searchBox.addListener('places_changed', function () {
                        debugger;
                        var places = searchBox.getPlaces();

                        if (places.length == 0) {
                            return;
                        }

                        // Clear out the old markers.
                        markers.forEach(function (marker) {
                            marker.setMap(null);
                        });
                        markers = [];

                        // For each place, get the icon, name and location.
                        var bounds = new google.maps.LatLngBounds();
                        places.forEach(function (place) {
                            if (!place.geometry) {
                                console.log("Returned place contains no geometry");
                                return;
                            }

                            clearOverlays();

                            var marker = new google.maps.Marker({
                                map: map,
                                title: place.name,
                                position: place.geometry.location
                            });

                            // Create a marker for each place.
                            markers.push(marker);

                            var lat = place.geometry.location.lat();
                            var lang = place.geometry.location.lng();

                            $('#maplat').val(lat);
                            $('#maplng').val(lang);


                            markersArray.push(marker);

                            if (place.geometry.viewport) {
                                // Only geocodes have viewport.
                                bounds.union(place.geometry.viewport);
                            } else {
                                bounds.extend(place.geometry.location);
                            }
                        });
                        map.fitBounds(bounds);
                    });
                }

            </script>
            <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCRdChFTkwz6jMAK-3boryZGxDnfIoOFYc&libraries=places&callback=initAutocomplete"
                    async defer></script>
        </div>
    </div>

</div>




